Package org.codehaus.groovy.runtime.metaclass

# Class MetaMethodIndex.MetaMethodCache

java.lang.Object
org.codehaus.groovy.runtime.metaclass.MetaMethodIndex.MetaMethodCache

Enclosing class:
  MetaMethodIndex

public static class MetaMethodIndex.MetaMethodCache extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final MetaMethod`
  `method`
  `final Class<?>[]`
  `params`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MetaMethodCache(Class<?>[] params, MetaMethod method)`
  create a new method entry

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### params

    public final Class<?>[] params

  - ### method

    public final MetaMethod method

- ## Constructor Details

  - ### MetaMethodCache

    public MetaMethodCache(Class<?>[] params, MetaMethod method)
    create a new method entry
    Parameters:
      `params` - in case of caching params might not be the same as `ParameterTypes.getParameterTypes()`
      `method` - the meta method